=== modified file 'debian/changelog'
--- debian/changelog	2009-07-22 14:24:56 +0000
+++ debian/changelog	2009-08-25 22:12:57 +0000
@@ -1,3 +1,15 @@
+webdeveloper (1.1.8-2) unstable; urgency=low
+
+  * Update my e-mail address.
+  * Remove DM-Upload-Allowed field.
+  * Implement override_dh_auto_clean instead of a full clean routine,
+    recent dh-auto-clean versions launch "ant clean" and upstream build
+    file does not provide a clean target (Closes: #543117).
+  * Refactorize rules file to use debhelper ant buildsystem support.
+  * Bump Standards-Version to 3.8.3, no changes required.
+
+ -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 22:12:57 +0200
+
 webdeveloper (1.1.8-1) unstable; urgency=low
 
   * New upstream release (Closes: #536217).

=== modified file 'debian/control'
--- debian/control	2009-07-22 14:24:56 +0000
+++ debian/control	2009-08-25 22:12:57 +0000
@@ -1,15 +1,14 @@
 Source: webdeveloper
 Section: devel
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@ubuntu.com>
+Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7)
+Build-Depends: debhelper (>= 7.3.3), quilt (>= 0.46-7)
 Build-Depends-Indep: ant, unzip
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
 Homepage: http://chrispederick.com/work/web-developer/
 Vcs-Git: git://git.debian.org/git/pkg-mozext/webdeveloper.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozext/webdeveloper.git
-DM-Upload-Allowed: yes
 
 Package: iceweasel-webdeveloper
 Architecture: all

=== modified file 'debian/rules'
--- debian/rules	2009-07-22 14:24:56 +0000
+++ debian/rules	2009-08-25 22:12:57 +0000
@@ -6,16 +6,15 @@
 %:
 	dh --with quilt $@
 
-clean:
-	rm -fr ${CURDIR}/build-tree
-	dh --with quilt $@
-
-override_dh_auto_build:
+build:
 	mkdir -p ${CURDIR}/build-tree/xpi
-	ant build
+	dh --with quilt $@
 	unzip -q ${CURDIR}/build-tree/web-developer.xpi -d ${CURDIR}/build-tree/xpi
 	rm -f ${CURDIR}/build-tree/xpi/license.txt
 
+override_dh_auto_clean:
+	rm -fr ${CURDIR}/build-tree
+
 get-orig-source:
 	cvs -d :pserver:guest:guest@mozdev.org:/cvs export -D $(CVSREV) -d webdeveloper-$(VERSION) webdeveloper/development
 	tar c webdeveloper-$(VERSION)/ | gzip -9 > ../webdeveloper_$(VERSION).orig.tar.gz

